<template lang="">
    <navbar/>
  <strong
    ><h1 class="mt-8 text-3xl lg:text-4xl" align="center">
      Eliminar Docente Jefe
    </h1>
  </strong>
  <div align="right">
    <div
      class="tooltip tooltip-left tooltip-primary mr-4 md:mr-10 w-10 md:w-14"
      data-tip="Cambiar a ingresar docente jefe"
    >
      <a v-bind:href="'/ingresarDocenteJefe/' + curso">
        <img src="\src\assets\ADM_CURSOS\switchDer.png" />
      </a>
    </div>
  </div>
  <h1 class="text-xl lg:text-2xl mt-8 mb-6" align="center">
    Curso: {{ this.curso }}
  </h1>
  <div align="left">
    <div
      class="tooltip tooltip-primary ml-56 md:ml-64 w-10 md:w-12"
      data-tip="Volver al menu de administracion de cursos"
    >
      <a v-bind:href="'/homeAdministracion/' + curso">
        <img src="\src\assets\ADM_CURSOS\return.png" />
      </a>
    </div>
  </div>
  <strong
    ><h1 class="mt-8 text-2xl md:text-2xl lg:text-3xl" align="center">
      Datos Docente Jefe
    </h1>
  </strong>
  <div v-for="docente in docentes" :key="docente">
    <h1 class="text-xl lg:text-xl mr-40 md:mr-32 mt-8" align="center">
    Nombres: {{ docente.nombre }}
  </h1>
  <h1 class="text-xl lg:text-xl mr-40 md:mr-32 mt-8" align="center">
    Apellidos: {{ docente.apellidoPaterno }} {{ docente.apellidoMaterno }}
  </h1>
  <h1 class="text-xl mr-44 md:mr-36 mt-8" align="center">
    Correo: {{ docente.correo }}
  </h1>
  <div align="center">
    <button
      @click="
        enviarId(
          docente.usuId,
          docente.nombre,
          docente.apellidoPaterno,
          docente.correo
        )
      "
      class="btn btn-primary mt-10 mb-12"
    >
      Eliminar Docente Jefe
    </button>
  </div>
  </div>
  <Footer/>
</template>

<script>
import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from "../../components/Footer.vue";
export default {
  components: {navbar,Footer},
  data() {
    return {
      curso: this.$route.params.id,
      docentes: [],
    };
  },
  mounted() {
    let vue = this;
    axios
      .get(
        "administracionCursos/mostrarDocenteJefe/" +
          this.curso,{
            headers: {
                    Authorization: localStorage.getItem('auth')
                },
      }
      )
      .then(function (response) {
        vue.docentes = response.data;
        console.log(vue.docentes);
      });
  },
  methods: {
    enviarId(id, nombre, apellidoPaterno, docenteCorreo) {
      console.log("holi");
      var respuesta = confirm(
        "Eliminar del curso " +
          this.curso +
          " el docente jefe " +
          nombre +
          " " +
          apellidoPaterno +
          " de correo " +
          docenteCorreo
      );
      if (respuesta) {
        axios({
          method: "PUT",
          url:
            "administracionCursos/" +
            this.curso +
            "/eliminarDocenteJefeCurso/" +
            id,
          idSeleccionado: id,
          headers: {
                    Authorization: localStorage.getItem('auth')
                },
        })
          .then((res) =>
            alert(
              "Se ha eliminado el docente jefe " +
                nombre +
                " " +
                apellidoPaterno +
                " de correo " +
                docenteCorreo +
                " del curso " +
                this.curso
            )
          )
          .catch((err) => console.log(err));
      }
    },
  },
};
</script>
